Package com.io7m.smfj.format.binary2.internal

## Class SMFB2Section.Builder

- java.lang.Object
- - com.io7m.smfj.format.binary2.internal.SMFB2Section.Builder

- Enclosing class:
    SMFB2Section

      public static final class SMFB2Section.Builder
      extends java.lang.Object

  Builds instances of type `SMFB2Section`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SMFB2Section` | `build()` | Builds a new `SMFB2Section`.
    `SMFB2Section.Builder` | `from​(SMFB2SectionType instance)` | Fill a builder with attribute values from the provided `SMFB2SectionType` instance.
    `SMFB2Section.Builder` | `setId​(long id)` | Initializes the value for the `id` attribute.
    `SMFB2Section.Builder` | `setOffset​(long offset)` | Initializes the value for the `offset` attribute.
    `SMFB2Section.Builder` | `setSizeOfData​(long sizeOfData)` | Initializes the value for the `sizeOfData` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final SMFB2Section.Builder from​(SMFB2SectionType instance)

      Fill a builder with attribute values from the provided `SMFB2SectionType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setId

          public final SMFB2Section.Builder setId​(long id)

      Initializes the value for the `id` attribute.
      Parameters:
        `id` - The value for id
      Returns:
        `this` builder for use in a chained invocation

    - #### setSizeOfData

          public final SMFB2Section.Builder setSizeOfData​(long sizeOfData)

      Initializes the value for the `sizeOfData` attribute.
      Parameters:
        `sizeOfData` - The value for sizeOfData
      Returns:
        `this` builder for use in a chained invocation

    - #### setOffset

          public final SMFB2Section.Builder setOffset​(long offset)

      Initializes the value for the `offset` attribute.
      Parameters:
        `offset` - The value for offset
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public SMFB2Section build()

      Builds a new `SMFB2Section`.
      Returns:
        An immutable instance of SMFB2Section
      Throws:
        `java.lang.IllegalStateException` - if any required attributes are missing